export declare const $constants: {
    SCROLL_LOCK_CLASS(mode: string): string;
    DEFAULT_WIDTH: string;
    DEFAULT_HEIGHT: string;
};
export declare const drawerProps: {
    _constants: {
        type: ObjectConstructor;
        default: () => {
            SCROLL_LOCK_CLASS(mode: string): string;
            DEFAULT_WIDTH: string;
            DEFAULT_HEIGHT: string;
        };
    };
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    customClass: (StringConstructor | ArrayConstructor | ObjectConstructor)[];
    placement: {
        type: StringConstructor;
        default: string;
    };
    width: {
        type: StringConstructor;
    };
    height: {
        type: StringConstructor;
    };
    title: StringConstructor;
    showClose: {
        type: BooleanConstructor;
        default: boolean;
    };
    showHeader: {
        type: BooleanConstructor;
        default: boolean;
    };
    showFooter: {
        type: BooleanConstructor;
        default: boolean;
    };
    mask: {
        type: BooleanConstructor;
        default: boolean;
    };
    maskClosable: {
        type: BooleanConstructor;
        default: boolean;
    };
    dragable: BooleanConstructor;
    lockScroll: {
        type: BooleanConstructor;
        default: boolean;
    };
    flex: {
        type: BooleanConstructor;
        default: boolean;
    };
    zIndex: {
        type: NumberConstructor;
        default: number;
    };
    beforeClose: FunctionConstructor;
    tipsProps: ObjectConstructor;
    customSlots: ObjectConstructor;
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
};
declare const _default: any;
export default _default;
